Bug 12577 - samba-tool dbcheck gives errors on one-way links after a rename
samba-tool dbcheck gives errors on one-way links after a rename
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-12 21:07 UTC by Andrew Bartlett
Modified: 2017-02-15 10:48 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-6-test (9.48 KB, patch)
2017-02-13 07:40 UTC, Stefan Metzmacher
abartlet: review+
metze: review? (garming)
Details
Patches for v4-5-test (9.48 KB, patch)
2017-02-13 07:41 UTC, Stefan Metzmacher
abartlet: review+
metze: review? (garming)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-02-12 21:07:07 UTC
samba-tool dbcheck will raise an error when the target of a one-way link is renamed, despite this being a normal operation. 

The string form of the name is not used, we correct it at run-time, so we should not consider this an error.  We should however offer to update it.
Comment 1 Stefan Metzmacher 2017-02-13 07:40:45 UTC
Created attachment 12917 [details]
Patches for v4-6-test
Comment 2 Stefan Metzmacher 2017-02-13 07:41:12 UTC
Created attachment 12918 [details]
Patches for v4-5-test
Comment 3 Andrew Bartlett 2017-02-13 08:00:54 UTC
Comment on attachment 12918 [details]
Patches for v4-5-test

Thanks for uploading the patches.
Comment 4 Karolin Seeger 2017-02-13 15:33:22 UTC
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-02-15 10:48:20 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!